## Base16 color scheme introduction

Base16 ( [url]https://github.com/chriskempson/base16[/url] ) was originally intended to solve the problem of inconsistent color schemes in code editors, but its application goes far beyond that. This scheme is not only suitable for code editors, but also for the design of websites and other user interfaces. By using the Base16 color scheme, you can improve the user experience and make your website look more professional and consistent.

In Base16, each color has a specific purpose and meaning. For example, a combination of dark and light colors can be used for foreground and background, while different colors can be used to represent different types of syntax elements such as variables, operators, keywords, etc. This consistent color scheme helps improve the readability and maintainability of the code.

## Motivation

As mentioned above, Base16 is not only suitable for code editors, but also for the design of websites and other user interfaces. Therefore, I would like to try to apply Base16 to the Bootstrap framework to implement a tool for quickly changing the theme color scheme.

## function

- After installation, a selected pair of built-in color schemes will be automatically applied.
- Simple and easy to customize the colors of various sections of a page, with a live preview.
- You can set the automatic switching color mode. (Switch to dark mode at night, light mode in the morning)
- A color mode switch button is provided to enable users to choose the mode that suits them.
- Built-in code highlighting, so you can enjoy the same code highlighting as the current color scheme without additional plugins

## Compatibility

Only the Flatboard 3 initial theme was tested.
